- [HTTP request](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/getAttributes#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/getAttributes#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/getAttributes#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/getAttributes#body.response_body)
- [Authorization scopes](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/getAttributes#body.aspect)

Retrieves attributes for a location as last set by the merchant. It may not reflect updates from Google or user-generated content that are live on Google Maps.

### HTTP request

`GET https://mybusinessbusinessinformation.googleapis.com/v1alpha/{name=locations/*/attributes}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Google identifier for this location in the form of `locations/{locationId}/attributes`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/Attributes`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).